## chopmydata chopmydata |

## Properties

gint | max-size | Read / Write
gint | min-size | Read / Write
gint | step-size | Read / Write

## Types and Values

struct | GstChopMyData

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstChopMyData

## Description

## Synopsis

### Element Information

plugin | debugutilsbad
author | David Schleef <ds@schleef.org>
class | Generic

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

name | src
direction | source
presence | always
details | ANY

## Functions

## Types and Values

### struct GstChopMyData

    struct GstChopMyData;

## Property Details

### The `“max-size”` property

      “max-size”                 gint

Maximum size of outgoing buffers.

Flags: Read / Write

Allowed values: >= 1

Default value: 4096

### The `“min-size”` property

      “min-size”                 gint

Minimum size of outgoing buffers.

Flags: Read / Write

Allowed values: >= 1

Default value: 1

### The `“step-size”` property

      “step-size”                gint

Step increment for random buffer sizes.

Flags: Read / Write

Allowed values: >= 1

Default value: 4096